<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Model;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;
use Sylius\Component\Core\Model\OrderItemInterface as BaseOrderItemInterface;

interface OrderItemInterface extends BaseOrderItemInterface
{
    public function getQuoteItem(): ?QuoteItemInterface;

    public function setQuoteItem(?QuoteItemInterface $quoteItem): self;
}
